=== debian/changelog ===
adduser-ng (0.1.1-1.1) unstable; urgency=low

  * NMU during BSP.
  * changed Recommends from libadduser-plugins-ui-cdk-perl to adduser-ui-cdk.
    Closes: #240551.
 
 -- Andreas Barth <aba@not.so.argh.org>  Sun, 18 Apr 2004 17:48:43 +0200

adduser-ng (0.1.1-1) unstable; urgency=low

  * New upstream release (closes: #223025):
    - fixed bug: new users home directory was not created.
    - UserAdd.home_dir_mode: new option, which allows to set new home directory
      permissions.
    - EximConf: fixes.
    - EximConf4: new plugin for exim 4.x mta server (based on EximConf).
    - NotifyJabber: fixed sending messages to multiple jids.

 -- Robert Olejnik <robert@zaron.debian.pl>  Fri,  7 Nov 2003 22:37:29 +0100

adduser-ng (0.1.0-1) unstable; urgency=low

  * New upstream (first public release).

 -- Robert Olejnik <robert@zaron.debian.pl>  Fri, 31 Oct 2003 01:40:36 +0100

adduser-ng (0.0.1-8) unstable; urgency=low

  * Fixed spelling errors in debian/control :)

 -- Robert Olejnik <robert@zaron.debian.pl>  Mon, 29 Sep 2003 23:03:29 +0200

adduser-ng (0.0.1-7) unstable; urgency=low

  * Fixed 'Section' field for some packages (all packages had 'admin' section,
    which in case of doc packages is wrong).
  * Updated 'adduser-plugin-notifyjabber' package description.

 -- Robert Olejnik <robert@zaron.debian.pl>  Mon, 29 Sep 2003 14:02:08 +0200

adduser-ng (0.0.1-6) unstable; urgency=low

  * Added generation of new packages 'adduser-plugin-notifyjabber'.
  * Fixed documentation path for 'adduser-plugin-eximconf' package.

 -- Robert Olejnik <robert@zaron.debian.pl>  Sat,  6 Sep 2003 17:48:45 +0200

adduser-ng (0.0.1-5) unstable; urgency=low

  * Added generation of new packages 'adduser-ng-doc'
    and 'adduser-ng-doc-devel'.
  * Updated homepage information in debian/copyright.

 -- Robert Olejnik <robert@zaron.debian.pl>  Mon,  1 Sep 2003 17:59:58 +0200

adduser-ng (0.0.1-4) unstable; urgency=low

  * Package updates to avoid lintian errors.
  * Added new package 'adduser-plugins-eximconf'.

 -- Robert Olejnik <robert@zaron.debian.pl>  Fri,  1 Aug 2003 04:41:59 +0200

adduser-ng (0.0.1-3) unstable; urgency=low

  * Fixed broken dependency.

  * adduser-ng.example: Updated to follow rename.

 -- Bartosz Oler <liar@bzimage.us>  Tue, 29 Jul 2003 19:38:45 +0200

adduser-ng (0.0.1-2) unstable; urgency=low

  * Rewritten the debian package configuration files (made three packages
    instead of one)

 -- Robert Olejnik <robert@zaron.debian.pl>  Tue, 29 Jul 2003 16:59:09 +0200

adduser-ng (0.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Bartosz Oler <liar@bzimage.us>  Sun, 27 Jul 2003 01:30:12 +0200
