=== debian/control ===
Source: adduser-ng
Section: admin
Priority: optional
Maintainer: adduser-ng Authors <authors@adduser.linux.pl>
Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6.0-16), passivetex
Standards-Version: 3.6.0

Package: adduser-ng
Architecture: all
Depends: ${perl:Depends}, libadduser-pluginloader-perl, libconfig-inifiles-perl, libgetopt-mixed-perl, libxml-simple-perl, libterm-readline-gnu-perl
Recommends: adduser-ui-cdk
Description: Add and remove users and groups
 This package is meant to be a replacement for the adduser script.
 It's written in perl with flexibility and modularity kept in mind.
 .
 The major advantages are:
 .
  * built-in plugins for user and groups administration,
  * different set of User Interfaces,
  * very flexible configuration,
  * good documentation on how to write your own plugins.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-ng-doc
Architecture: all
Section: doc
Recommends: adduser-ng
Description: Documentation for AddUser-NG users
 This package is meant to be a replacement for the adduser script.
 It's written in perl with flexibility and modularity kept in mind.
 .
 The major advantages are:
 .
  * built-in plugins for user and groups administration,
  * different set of User Interfaces,
  * very flexible configuration,
  * good documentation on how to write your own plugins.
 .
 This package holds complete documentation on how to use, configure, etc...
 AddUser-NG program.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-ng-doc-devel
Architecture: all
Section: doc
Recommends: adduser-ng, adduser-ng-doc
Description: Documentation for AddUser-NG developers
 This package is meant to be a replacement for the adduser script.
 It's written in perl with flexibility and modularity kept in mind.
 .
 The major advantages are:
 .
  * built-in plugins for user and groups administration,
  * different set of User Interfaces,
  * very flexible configuration,
  * good documentation on how to write your own plugins.
 .
 This package holds a complete documentation for people who want to help
 in development of AddUser-NG program, or want to write their own plugins
 and user interfaces.
 .
 Homepage: http://adduser.linux.pl

Package: libadduser-pluginloader-perl
Architecture: all
Section: libs
Depends: ${perl:Depends}
Description: Plugin loader, written for perl scripts
 This package holds a perl module developed with adduser-ng program, which is
 designed to load plugins (extensions).
 .
 Homepage: http://adduser.linux.pl

Package: adduser-ui-cdk
Architecture: all
Depends: ${perl:Depends}, adduser-ng, libcdk-perl
Description: Cdk-based User Interface for adduser-ng
 This package holds Cdk-based (Curses Development Kit) User Interface for
 adduser-ng package. If you would like to have control over adduser-ng in 
 full screen and with colors, you should install this package.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-quota
Architecture: all
Depends: ${perl:Depends}, adduser-ng, libquota-perl
Description: adduser-ng plugin, which provides access to filesystem quota
 This package holds the quota plugin for adduser Next Generation program. Main
 goal of this plugin is to set quota for newly added user with adduser-ng
 program.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-notifyjabber
Architecture: all
Depends: ${perl:Depends}, adduser-ng, libnet-jabber-perl
Description: Send messages to a JID about new added users
 If you are using Jabber IM, and you want to know about users that had been
 added with adduser-ng package, consider using this package.
 .
 For instance, you have many administrators on your server, and you want to
 keep track of users that had been added with adduser-ng. All you have to do
 is to configure this plugin to send information about this to your JID.
 .
 This package contains experimental software, so use it at your own risk.
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-eximconf
Architecture: all
Depends: ${perl:Depends}, adduser-ng
Description: Specific Exim mail server configuration plugin
 This package holds a plugin for adduser-ng program, that is written for a
 specific configuration of Exim MTA called EximConf. If you use Exim with this
 configuration and adduser-ng program, please consider installing this plugin.
 Main goals of this plugin are:
 .
  * automatically add email aliases when adding a new user
  * automatically remap outgoing mail for new user to a desired domain name
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-eximconf4
Architecture: all
Depends: ${perl:Depends}, adduser-ng
Description: Specific Exim mta (version 4.x) server configuration plugin
 This package holds a plugin for adduser-ng program, that is written for a
 specific configuration of Exim 4.x MTA called EximConf4. If you use Exim with
 this configuration and adduser-ng program, please consider installing this
 plugin.
 Main goals of this plugin are:
 .
  * automatically add email aliases when adding a new user
  * automatically remap outgoing mail for new user to a desired domain name
 .
 Homepage: http://adduser.linux.pl

Package: adduser-plugin-cvsaccess
Architecture: all
Depends: ${perl:Depends}, adduser-ng
Description: Manage access to CVS repositories via pserver
 This package holds the cvsaccess plugin for adduser Next Generation program
 which allows you to control access to CVS repositories available over pserver.
 .
 Homepage: http://adduser.linux.pl
