## adduser-ng 0.1.2-1

=== debian/changelog ===
adduser-ng (0.1.2-1) unstable; urgency=low

  * New upstream release:
    - added translated to english users documentation
    - BKDInit: new plugin, used for managing bkd-init
      (http://teon.org/projects_list.php?name=bkd-init) configuration.

 -- Robert Olejnik <robert@zaron.debian.pl>  Thu, 22 Apr 2004 01:03:56 +0200
