=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: adduser-ng
 Section: admin
-Priority: optional
-Maintainer: adduser-ng Authors <authors@adduser.linux.pl>
-Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6.0-16), passivetex
-Standards-Version: 3.6.0
+Priority: extra
+Maintainer: Robert Olejnik <robert@zaron.debian.pl>
+Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6)
+Standards-Version: 3.6.1
 
 Package: adduser-ng
 Architecture: all
@@ -146,3 +146,14 @@
  .
  Homepage: http://adduser.linux.pl
 
+
+Package: adduser-plugin-bkdinit
+Architecture: all
+Depends: ${perl:Depends}, adduser-ng
+Description: Manage configuration of BKD-Init
+ This package holds the bkdinit plugin for adduser Next Generation program
+ which allows you to manage configuration of BKD-Init script (you can find it
+ at: http://teon.org/projects_list.php?name=bkd-init).
+ .
+ Homepage: http://adduser.linux.pl
+
