=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,34 @@
 #!/usr/bin/make -f
 #
-# This file is public domain software, originally written by Joey Hess.
+# Module:     rules   
+# Date:       04/22/04   
+# Version:    1.21   
+# Edited by:  teon@teon.org   
+# Description:   
 #
-# This file is part of adduser-ng package
+#  AddUser-NG Debian package rules file.  
+#   
+# License:  
+#  
+#  This program is free software; you can redistribute it and/or modify  
+#  it under the terms of the GNU General Public License Version 2 as  
+#  published by the Free Software Foundation.  
+#  
+#  This program is distributed in the hope that it will be useful,  
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of  
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the  
+#  GNU General Public License for more details.  
+#  
+#  You should have received a copy of the GNU General Public License  
+#  along with this program; if not, write to the Free Software  
+#  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,  
+#  USA.  
+#  
+# This file is part of adduser-ng program.  
+#  
+# Copyright (C) 2003-2004 Bartosz Oler <liar@bzimage.us>  
+# Copyright (C) 2003-2004 Robert Olejnik <teon@teon.org>  
 #
-# $Id: s.rules 1.18 03/11/04 20:27:52+01:00 robert@zaron.debian.pl $
-
 
 
 # Uncomment this to turn on verbose mode.
@@ -25,6 +48,7 @@
 eximconf4_package=adduser-plugin-eximconf4
 notifyjabber_package=adduser-plugin-notifyjabber
 cvsaccess_package=adduser-plugin-cvsaccess
+bkdinit_package=adduser-plugin-bkdinit
 
 # docs packages
 doc_user=adduser-ng-doc
@@ -35,7 +59,8 @@
 build-stamp:
 	dh_testdir
 	
-	$(MAKE) generate_docs
+	$(MAKE) generate_docs_user
+	$(MAKE) generate_docs_devel
 
 	touch build-stamp
 
@@ -62,8 +87,11 @@
 	$(MAKE) PREFIX=debian/$(quota_package)/usr PACKAGE=adduser-plugin-quota install_pluginquota
 	$(MAKE) PREFIX=debian/$(notifyjabber_package)/usr PACKAGE=adduser-plugin-notifyjabber install_pluginnotifyjabber
 	$(MAKE) PREFIX=debian/$(cvsaccess_package)/usr PACKAGE=adduser-plugin-cvsaccess install_plugincvsaccess
+	$(MAKE) PREFIX=debian/$(bkdinit_package)/usr PACKAGE=adduser-plugin-bkdinit install_pluginbkdinit
 	$(MAKE) PREFIX=debian/$(eximconf_package)/usr PACKAGE=adduser-plugin-eximconf install_plugineximconf
 	$(MAKE) PREFIX=debian/$(eximconf4_package)/usr PACKAGE=adduser-plugin-eximconf4 install_plugineximconf4
+	$(MAKE) PREFIX=debian/$(doc_user)/usr PACKAGE=$(doc_user) install_docs_user
+	$(MAKE) PREFIX=debian/$(doc_devel)/usr PACKAGE=$(doc_devel) install_docs_devel
 
 # Build architecture-independent files here.
 binary-indep: build install
