## adduser-ng 0.1.2-1.2

=== Makefile ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 PREFIX=/usr
 CONFIG_PREFIX=
-USER_DOCS_DIR=$(PREFIX)/share/doc/adduser-ng
-DEVEL_DOCS_DIR=$(PREFIX)/share/doc/adduser-ng
 
 # if package will not be specified, use adduser-ng
 PACKAGE=adduser-ng
@@ -17,6 +15,7 @@
 clean_adduser:
 	perl -i -pe 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
 	rm -rf Docs/user_polish &> /dev/null
+	rm -rf Docs/user_english &> /dev/null
 	rm -rf Docs/developer_polish &> /dev/null
 
 build_adduser:
@@ -31,6 +30,7 @@
 	$(MAKE) PACKAGE=adduser-plugins-eximconf4 install_plugineximconf4
 	$(MAKE) PACKAGE=adduser-plugins-notifyjabber install_pluginnotifyjabber
 	$(MAKE) PACKAGE=adduser-plugins-cvsaccess install_plugincvsaccess
+	$(MAKE) PACKAGE=adduser-plugins-bkdinit install_pluginbkdinit
 
 install_adduser: build_adduser
 	#
@@ -62,13 +62,22 @@
 	xalan -IN Docs/plugins/GroupAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
 	xalan -IN Docs/plugins/PasswdUser.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html
 
-generate_docs:
+generate_docs_user:
 	scripts/generate_docs.sh all Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh all Docs/user_english.xml Docs/
+
+generate_docs_devel:
 	scripts/generate_docs.sh all Docs/developer_polish.xml Docs/
 
-install_docs:
-	install -o root -g root -m 644 Docs/user_polish/* $(USER_DOCS_DIR)
-	install -o root -g root -m 644 Docs/developer_polish/* $(DEVEL_DOCS_DIR)
+install_docs_user:
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)/polish/
+	install -o root -g root -m 644 Docs/user_polish/* $(PREFIX)/share/doc/$(PACKAGE)/polish/
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)/english/
+	install -o root -g root -m 644 Docs/user_english/* $(PREFIX)/share/doc/$(PACKAGE)/english/
+
+install_docs_devel:
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)/polish/
+	install -o root -g root -m 644 Docs/developer_polish/* $(PREFIX)/share/doc/$(PACKAGE)/polish/
 
 install_pluginloader:
 	#
@@ -115,6 +124,17 @@
 	install -o root -g root -m 644 lib/AddUser/plugins/CVSAccess.pm $(PREFIX)/share/perl5/AddUser/plugins/
 	xalan -IN Docs/plugins/CVSAccess.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html
 
+install_pluginbkdinit:
+	#
+	# adduser-plugin-bkdinit
+	install -o root -g root -m 755 -d $(PREFIX)/share/adduser-ng/plugins
+	install -o root -g root -m 755 -d $(PREFIX)/share/perl5/AddUser/plugins
+	install -o root -g root -m 755 -d $(PREFIX)/share/doc/$(PACKAGE)
+
+	install -o root -g root -m 644 Docs/plugins/BKDInit.xml $(PREFIX)/share/adduser-ng/plugins/
+	install -o root -g root -m 644 lib/AddUser/plugins/BKDInit.pm $(PREFIX)/share/perl5/AddUser/plugins/
+	xalan -IN Docs/plugins/BKDInit.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/BKDInit.html
+
 install_plugineximconf:
 	#
 	# adduser-plugin-eximconf
@@ -137,6 +157,6 @@
 	install -o root -g root -m 644 lib/AddUser/plugins/EximConf4.pm $(PREFIX)/share/perl5/AddUser/plugins/
 	xalan -IN Docs/plugins/EximConf4.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
 
-install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber
+install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber install_plugincvsaccess install_pluginbkdinit
 
-.PHONY: install install_adduser install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber
+.PHONY: install install_adduser install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber install_plugincvsaccess install_pluginbkdinit
