=== debian/changelog ===
adduser-ng (0.1.2-1.2) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high to target sarge release as this fixes an RC bug.
  * Re-added non-chunked (single-file) HTML documentation per Frank
    Lichtenheld's suggestion.

 -- martin f. krafft <madduck@debian.org>  Mon, 23 May 2005 23:05:56 +0200

adduser-ng (0.1.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Urgency high to target sarge release as this fixes an RC bug.
  * Applied patch by Roger Leigh <rleigh@whinlatter.ukfsn.org> to
    debian/rules, which prevents generation of PDF documentation (it does not
    generate "all" documentation anymore, but explicitly generates the plain
    text and HTML versions for the available languages).
    Rationale for PDF removal: plain text and HTML documentation are enough,
    and PDF documentation is available from the upstream website.
    (closes: Bug#310246)
  * Added README.pdf to refer to the upstream website PDF documentation to the
    two -doc packages.
  * Removed unneeded passivetex build dependency.
  * Added build dependency on w3m for plain text documentation generation from
    HTML.

 -- martin f. krafft <madduck@debian.org>  Mon, 23 May 2005 20:51:20 +0200
