=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: extra
 Maintainer: Robert Olejnik <robert@zaron.debian.pl>
-Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, passivetex, perl (>= 5.6)
+Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, perl (>= 5.6), w3m
 Standards-Version: 3.6.1
 
 Package: adduser-ng
