=== debian/rules ===
--- 
+++ 
@@ -59,8 +59,15 @@
 build-stamp:
 	dh_testdir
 	
-	$(MAKE) generate_docs_user
-	$(MAKE) generate_docs_devel
+	scripts/generate_docs.sh txt Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh html Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh html-nochunks Docs/user_polish.xml Docs/
+	scripts/generate_docs.sh txt Docs/user_english.xml Docs/
+	scripts/generate_docs.sh html Docs/user_english.xml Docs/
+	scripts/generate_docs.sh html-nochunks Docs/user_english.xml Docs/
+	scripts/generate_docs.sh txt Docs/developer_polish.xml Docs/
+	scripts/generate_docs.sh html Docs/developer_polish.xml Docs/
+	scripts/generate_docs.sh html-nochunks Docs/developer_polish.xml Docs/
 
 	touch build-stamp
