## adduser-ng 0.1.2-1.3

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 clean: clean_adduser
 
 clean_adduser:
-	perl -i -pe 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
+	sed -i 's#$(CONFIG_PREFIX)/etc/adduser-ng/adduser-ng.conf#adduser-ng/adduser-ng.conf#' adduser
 	rm -rf Docs/user_polish &> /dev/null
 	rm -rf Docs/user_english &> /dev/null
 	rm -rf Docs/developer_polish &> /dev/null
@@ -58,9 +58,9 @@
 	install -o root -g root -m 644 lib/AddUser/UI/batch.pm $(PREFIX)/share/perl5/AddUser/UI/
 	install -o root -g root -m 644 lib/AddUser/UI/readline.pm $(PREFIX)/share/perl5/AddUser/UI/
 	# documentation
-	xalan -IN Docs/plugins/UserAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/UserAdd.html
-	xalan -IN Docs/plugins/GroupAdd.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
-	xalan -IN Docs/plugins/PasswdUser.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html
+	xalan -in Docs/plugins/UserAdd.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/UserAdd.html
+	xalan -in Docs/plugins/GroupAdd.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/GroupAdd.html
+	xalan -in Docs/plugins/PasswdUser.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/PasswdUser.html
 
 generate_docs_user:
 	scripts/generate_docs.sh all Docs/user_polish.xml Docs/
@@ -100,7 +100,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/Quota.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/Quota.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/Quota.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/Quota.html
+	xalan -in Docs/plugins/Quota.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/Quota.html
 
 install_pluginnotifyjabber:
 	#
@@ -111,7 +111,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/NotifyJabber.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/NotifyJabber.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/NotifyJabber.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/NotifyJabber.html
+	xalan -in Docs/plugins/NotifyJabber.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/NotifyJabber.html
 
 install_plugincvsaccess:
 	#
@@ -122,7 +122,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/CVSAccess.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/CVSAccess.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/CVSAccess.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html
+	xalan -in Docs/plugins/CVSAccess.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/CVSAccess.html
 
 install_pluginbkdinit:
 	#
@@ -133,7 +133,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/BKDInit.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/BKDInit.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/BKDInit.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/BKDInit.html
+	xalan -in Docs/plugins/BKDInit.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/BKDInit.html
 
 install_plugineximconf:
 	#
@@ -144,7 +144,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/EximConf.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/EximConf.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/EximConf.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
+	xalan -in Docs/plugins/EximConf.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
 
 install_plugineximconf4:
 	#
@@ -155,7 +155,7 @@
 
 	install -o root -g root -m 644 Docs/plugins/EximConf4.xml $(PREFIX)/share/adduser-ng/plugins/
 	install -o root -g root -m 644 lib/AddUser/plugins/EximConf4.pm $(PREFIX)/share/perl5/AddUser/plugins/
-	xalan -IN Docs/plugins/EximConf4.xml -XSL Docs/plugins-to-html.xsl -OUT $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
+	xalan -in Docs/plugins/EximConf4.xml -xsl Docs/plugins-to-html.xsl -out $(PREFIX)/share/doc/$(PACKAGE)/EximConf.html
 
 install_all_plugins: install_pluginloader install_uicdk install_pluginquota install_plugineximconf install_plugineximconf4 install_pluginnotifyjabber install_plugincvsaccess install_pluginbkdinit
