=== debian/changelog ===
adduser-ng (0.1.2-1.3) unstable; urgency=low

  * NMU
  * Fix xalan option in Makefile and in docbook2html.sh (Closes: #357228)
  * Move debhelper in Build-Depends since it is required on clean
  * Use sed instead of perl in Makefile clean target
  * Update FSF address in debian/copyright
  * Bump standards version

 -- Julien Danjou <acid@debian.org>  Wed, 17 May 2006 12:53:32 +0200
