=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: admin
 Priority: extra
 Maintainer: Robert Olejnik <robert@zaron.debian.pl>
-Build-Depends-Indep: debhelper (>> 4.0.0), xalan, xmlto, perl (>= 5.6), w3m
-Standards-Version: 3.6.1
+Build-Depends: debhelper (>> 4.0.0)
+Build-Depends-Indep: xalan, xmlto, w3m, perl (>= 5.6)
+Standards-Version: 3.7.2
 
 Package: adduser-ng
 Architecture: all
