## adduser-ng 0.1.2-2

=== debian/changelog ===
adduser-ng (0.1.2-2) unstable; urgency=low

  * QA upload.
  * Set Maintainer to Debian QA Group.

 -- Luk Claes <luk@debian.org>  Tue,  5 Dec 2006 20:37:28 +0100
