=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: adduser-ng
 Section: admin
-Priority: extra
-Maintainer: Robert Olejnik <robert@zaron.debian.pl>
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>> 4.0.0)
 Build-Depends-Indep: xalan, xmlto, w3m, perl (>= 5.6)
 Standards-Version: 3.7.2
