## adduser-ng 0.1.2-3

=== debian/changelog ===
adduser-ng (0.1.2-3) unstable; urgency=low

  * QA upload.
  * Correct a few typos spottedby A. Costa. (Closes: #410603)
  * Bump debhelper compatibility to 5.

 -- Mohammed Adnène Trojette <adn+deb@diwi.org>  Thu, 12 Apr 2007 13:27:35 +0200
