=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>> 4.0.0)
+Build-Depends: debhelper (>> 5.0.0)
 Build-Depends-Indep: xalan, xmlto, w3m, perl (>= 5.6)
 Standards-Version: 3.7.2
