=== debian/rules ===
--- 
+++ 
@@ -33,7 +33,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DH_COMPAT=4
 
 #
 # PACKAGES
